/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/


/*woocommerce prices*/
.price{display:flex !important}
.price:has(del~ins){column-gap:10px}
.hide-larger-price .price .bg-dual-price,.hide-larger-price .price .wc-cqp-secondary{display:flex !important}
.hide-larger-price .price .bg-dual-price ~ .bg-dual-price{display:none !important}
.hide-larger-price .price del,.hide-larger-price .price ins{display:flex !important}
.hide-larger-price .price del{order:2}
.hide-larger-price .price ins{order:1}
td.product-subtotal,td.product-price,.wd-checkout-prod-total.product-total,td.product-quantity{white-space:nowrap}
div.quantity{vertical-align:middle !important}
.wd-checkout-prod-title{flex-direction:row;align-items:center;column-gap:10px}
.wd-checkout-prod-cont .quantity{width:auto !important}
.wd-checkout-prod-title .wc-cqp-qty-unit{width:auto !important;min-width:25px;order:2}

/*woocommerce required fields*/
span.optional{display:none}
.validate-required label:after,label.required:after{content:"*";color:#bb141a;padding-left:1px}
label.required{color:inherit;font-size:100%}
.validate-required label .required{display:none}

/*woocommerce*/
.woocommerce-billing-fields__field-wrapper{position:relative;display:flex;flex-wrap:wrap;gap:10px 20px}
.woocommerce-billing-fields__field-wrapper p,.woocommerce-billing-fields__field-wrapper .waa-map-wrapper{margin-bottom:0}
.woocommerce-billing-fields__field-wrapper .form-row-wide{width:100% !important;flex:1 1 100%}
.woocommerce-billing-fields__field-wrapper .form-row-first, .woocommerce-billing-fields__field-wrapper .form-row-last{float: none !important}

/*woocommerce archives*/
.wd-hover-buttons-on-hover .wd-product-footer .wd-buttons.wd-pos-r-t{position:relative !important}

/*woocommerce checkout beautifier*/
h3#customer_data_heading_field,h3#shipping_data_heading_field,h3#billing_data_heading_field{
	margin:0
}
h3#shipping_data_heading_field/*,h3#billing_data_heading_field*/{
	padding-top:10px
}
h3.custom-checkout-shipping-methods-heading{
	margin:0;
	padding:20px 0;
}
#order_review .woocommerce-checkout-payment .payment_methods{
	display:none;
}

/*sidebar*/
.wd-sidebar.sidebar-container .price{flex-direction:column}
.cart-widget-side,.wd-side-hidden.wd-opened{width:360px !important}
.cart-widget-side .woocommerce-mini-cart__total{font-size:1.15em}

.summary-inner > .price{font-size:125% !important}


/*woocommerce checkout */
form.woocommerce-checkout{gap:20px !important}
form.woocommerce-checkout .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper{gap:15px !important}
form.woocommerce-checkout .checkout-order-review{top:0;position:sticky !important}

@media (min-width: 1025px){
	.woocommerce-billing-fields__field-wrapper .form-row-first, .woocommerce-billing-fields__field-wrapper .form-row-last{width:calc(50% - 8px)}
}

@media (min-width: 429px){
	.cart-widget-side,.wd-side-hidden.wd-opened{width:360px !important}
}

@media (min-width: 768px) and (max-width: 1025px){
	.woocommerce-billing-fields__field-wrapper .form-row-first, .woocommerce-billing-fields__field-wrapper .form-row-last{width:100% !important;flex:1 1 100%}
}

@media (max-width: 428px) {
	.cart-widget-side,.wd-side-hidden.wd-opened{width:100% !important}
}

@media (max-width: 576px) {
	.woocommerce-billing-fields__field-wrapper .form-row-first, .woocommerce-billing-fields__field-wrapper .form-row-last{width:100% !important;flex:1 1 100%}
}

@media (max-width: 768px) {
	.woocommerce-billing-fields__field-wrapper .form-row-first, .woocommerce-billing-fields__field-wrapper .form-row-last{width:calc(50% - 8px)}
}